/*
 * @Author: YKH
 * @Date: 2021-12-12 20:36:27
 * @LastEditTime: 2022-06-20 14:24:15
 * @Description: 
 * @FilePath: \cool-admin\cool-admin-vue-vue3-ts-vite\src\cool\modules\shuyou\service\utils.ts
 */
import { BaseService, Service, Permission } from "/@/core";

@Service("shuyou/utils")
class ShuyouUtils extends BaseService {
	@Permission("getWeatherCD")
	getWeatherCD() {
		return this.request({
			url: "/getWeatherCD",
			method: "GET",
		});
	};
	@Permission("payFailed")
	payFailed(data: any) {
		return this.request({
			url: "/payFailed",
			method: "POST",
			data
		});
	};
	@Permission("unpaid")
	unpaid(data: any) {
		return this.request({
			url: "/unpaid",
			method: "POST",
			data
		});
	}
}

export default ShuyouUtils;
